/*!
* @file GameInstance.cpp
* @brief ゲーム中実体のスーパークラス実装
* @date 2014/06/02
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "GameInstance.h"

namespace Deeangband
{
	GameInstance::GameInstance(void)
	{
		this->name = "";
		this->description = "";
		this->validGenerated = false;
		return;
	}

	GameInstance::~GameInstance(void)
	{
		return;
	}

	NAME GameInstance::GetName()
	{
		return this->name;
	}

	DESCRIPTION GameInstance::GetDescription()
	{
		return this->description;
	}

	bool GameInstance::IsValidGenerated(void)
	{
		return this->validGenerated;
	}

}